View Issue Details

IDProjectCategoryLast Update
0021356AI War 2[All Projects] Bug - OtherJul 8, 2019 10:39 am
Reporterwm46Assigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.873 Battlestation Overhaul 
Fixed in Version0.874 Basic Fleet Management 
Summary0021356: Ships granted by Global Command Augmentor don't match the amount actually given
DescriptionIn my game, the GCA that I have captured says that it's supposed to grant 3 beam cannons. However, on a planet with a logistics command station (100% ratio of GCA to turrets) it only grants 2 beam cannons.

My homeworld also doesn't get the full amount, only getting 5 beam cannons instead of the expected 6 beam cannons.

(Side note: Also pictured is a reprisal wave that's supposedly only "1x", yet is sending 130 strength of units at me.)
TagsNo tags attached.

Activities

wm46

Jul 6, 2019 7:55 am

reporter  

Umm_What.save (715,723 bytes)

wm46

Jul 7, 2019 7:08 pm

reporter   ~0052069

I found the issue in ArcenCore, explicit caps get initialized to -1. The function that calculates the final cap is:

( ExplicitCap * MkLevelBonus ) * ( Ship Type Multiplier (Intragalactic Coordinators) ) + Added Cap = Final Cap

So for an example Mk7 beam cannon with a GCA that gives 5 beam cannons, a turret galactic coordinator, and a logistics station: Ciel( ( -1 * 3 ) * 1.3 ) + 5 = 2 Beam Cannons.

I also think that maybe GCA caps should be affected by mark levels at the very least, it seems unintuitive that GCA turrets aren't affected by either mark level increases or intragalactic coordinator increases.

wm46

Jul 7, 2019 7:14 pm

reporter   ~0052070

The function I was referencing in the above is PerFrame_CalculateEffectiveFleetData_P1 at line 1881 of Fleet.cs

x4000Bughunter

Jul 8, 2019 10:39 am

administrator   ~0052072

Thank you!

* Fixed up the multipliers for ship types in a fleet based on their centerpieces so that those happen AFTER any added ship type cap additions from outside sources (GCAs, etc).

* Fixed up the multipliers from Ingra-Galactic Controllers (that give extra ship caps for turrets or whatever) so that those happen after the GCAs as well.

* Fixed a bug where GCAs were granting 1 too few turrets or whatever else if the turret wasn't a native type for the command station in play.

Issue History

Date Modified Username Field Change
Jul 6, 2019 7:55 am wm46 New Issue
Jul 6, 2019 7:55 am wm46 File Added: Umm_What.save
Jul 7, 2019 7:08 pm wm46 Note Added: 0052069
Jul 7, 2019 7:14 pm wm46 Note Added: 0052070
Jul 8, 2019 10:39 am x4000Bughunter Assigned To => x4000Bughunter
Jul 8, 2019 10:39 am x4000Bughunter Status new => resolved
Jul 8, 2019 10:39 am x4000Bughunter Resolution open => fixed
Jul 8, 2019 10:39 am x4000Bughunter Fixed in Version => 0.874 Basic Fleet Management
Jul 8, 2019 10:39 am x4000Bughunter Note Added: 0052072